import { defineComponent as u, mergeModels as m, useModel as c, createElementBlock as s, openBlock as p, createVNode as a, unref as t } from "vue";
import { useI18n as f } from "vue-i18n";
import { a8 as d, j as b } from "./start-BYfL32Oe.mjs";
import "pinia";
import "vue-router";
import "./header-Droxy2Kd.mjs";
import "./moment-h96o7c8I.mjs";
import { p as g } from "./PricingController-Bn7qwpk_.mjs";
const D = /* @__PURE__ */ u({
  __name: "PriceToDatetimeConfiguration",
  props: /* @__PURE__ */ m({
    attributeMap: {},
    destinationAttribute: {},
    sourceAttributes: {},
    etlAttributeSetMapId: {}
  }, {
    modelValue: {},
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(r) {
    const e = c(r, "modelValue"), { t: n } = f();
    return (C, o) => (p(), s("div", null, [
      a(t(d), {
        modelValue: e.value.fromDate,
        "onUpdate:modelValue": o[0] || (o[0] = (i) => e.value.fromDate = i),
        label: t(n)("pim.etl.PriceToDatetimeConfiguration.getFromDate"),
        class: "mb-4"
      }, null, 8, ["modelValue", "label"]),
      a(t(b), {
        data: t(g).listCurrencies,
        text: e.value.currency,
        label: t(n)("pim.etl.PriceToDatetimeConfiguration.currency"),
        "item-title": "currency",
        "item-value": "currency",
        select: "",
        onChange: o[1] || (o[1] = (i) => e.value.currency = i)
      }, null, 8, ["data", "text", "label"])
    ]));
  }
});
function l(r) {
  const e = r;
  e.__i18n = e.__i18n || [], e.__i18n.push({
    locale: "",
    resource: {
      "en-US": {
        pim: {
          etl: {
            PriceToDatetimeConfiguration: {
              getFromDate: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Get from date" } },
              currency: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Currency" } }
            }
          }
        }
      },
      "de-DE": {
        pim: {
          etl: {
            PriceToDatetimeConfiguration: {
              getFromDate: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Vom Datum holen" } },
              currency: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Währung" } }
            }
          }
        }
      }
    }
  });
}
typeof l == "function" && l(D);
export {
  D as default
};
